mutation CreatePartner(
  $partnerName: String!,
  $partnerNumber: String!,
  $partnerType: PartnerType
) @auth(level: USER) {
  partner_insert(
    data: {
      partnerName: $partnerName
      partnerNumber: $partnerNumber
      partnerType: $partnerType
    }
  )
}

mutation UpdatePartner(
  $id: UUID!,
  $partnerName: String,
  $partnerNumber: String,
  $partnerType: PartnerType
) @auth(level: USER) {
  partner_update(
    id: $id,
    data: {
      partnerName: $partnerName
      partnerNumber: $partnerNumber
      partnerType: $partnerType
    }
  )
}

mutation DeletePartner(
  $id: UUID!
) @auth(level: USER) {
  partner_delete(id: $id)
}
